Ownerships
Create ownership
Makes a rep link the owner of a customer, company, or company location within a team.
POST
/
ownerships
/
Create ownership
curl --request POST \
--url https://api.velocity.shop/ownerships/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"alignment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rep_link_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": 123,
"company_id": 123,
"location_id": 123
}
'import requests
url = "https://api.velocity.shop/ownerships/"
payload = {
"alignment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rep_link_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": 123,
"company_id": 123,
"location_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
alignment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
rep_link_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customer_id: 123,
company_id: 123,
location_id: 123
})
};
fetch('https://api.velocity.shop/ownerships/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alignment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rep_link_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": 123,
"company_id": 123,
"location_id": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The team the ownership belongs to.
The owning rep's link in the team's hierarchy.
Exactly one of customer_id, company_id, or location_id is required.
Exactly one of customer_id, company_id, or location_id is required.
Exactly one of customer_id, company_id, or location_id is required.
Response
200 - application/json
The team the ownership belongs to.
The owning rep's link in the team's hierarchy.
The numeric Shopify ID of the owned customer.
The numeric Shopify ID of the owned company.
The numeric Shopify ID of the owned company location.
⌘I
Create ownership

